summaryrefslogtreecommitdiff
path: root/dev-ruby/kramdown-syntax-coderay/kramdown-syntax-coderay-1.0.1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/kramdown-syntax-coderay/kramdown-syntax-coderay-1.0.1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/kramdown-syntax-coderay/kramdown-syntax-coderay-1.0.1.ebuild')
-rw-r--r--dev-ruby/kramdown-syntax-coderay/kramdown-syntax-coderay-1.0.1.ebuild21
1 files changed, 21 insertions, 0 deletions
diff --git a/dev-ruby/kramdown-syntax-coderay/kramdown-syntax-coderay-1.0.1.ebuild b/dev-ruby/kramdown-syntax-coderay/kramdown-syntax-coderay-1.0.1.ebuild
new file mode 100644
index 000000000000..32cb7421eb3b
--- /dev/null
+++ b/dev-ruby/kramdown-syntax-coderay/kramdown-syntax-coderay-1.0.1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Uses coderay to highlight code blocks/spans"
+HOMEPAGE="https://github.com/kramdown/syntax-coderay"
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="$(ver_cut 1)"
+IUSE="doc"
+
+ruby_add_rdepend ">=dev-ruby/coderay-1.1:0 dev-ruby/kramdown:2"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}